summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <smcv@debian.org>2017-08-04 17:20:07 (GMT)
committerSimon McVittie <smcv@debian.org>2017-08-04 17:20:07 (GMT)
commit0eeeeda498ccc2dc168c71cb3e40a6ddcf683db4 (patch)
tree5ed713cb723aa09ec5f32db20f20ea4940858e73
parent855fe2ab6a6517ccdf716174c8113979fcd9b8f6 (diff)
parent6e0f5f857b8edd4cc8623963a96d401f5c08377c (diff)
downloaddc17-0eeeeda498ccc2dc168c71cb3e40a6ddcf683db4.tar.gz
dc17-0eeeeda498ccc2dc168c71cb3e40a6ddcf683db4.tar.xz
Merge remote-tracking branch 'presenter/master'
-rwxr-xr-xbin/d1a4
-rwxr-xr-xbin/d1b3
-rwxr-xr-xbin/d1c3
-rwxr-xr-xbin/d1r5
-rwxr-xr-xbin/d2a4
-rwxr-xr-xbin/d2b3
-rwxr-xr-xbin/d2r5
-rwxr-xr-xbin/d3a4
-rwxr-xr-xbin/d3b3
-rwxr-xr-xbin/d3c3
-rwxr-xr-xbin/d3r5
-rwxr-xr-xbin/demo-reset9
12 files changed, 51 insertions, 0 deletions
diff --git a/bin/d1a b/bin/d1a
new file mode 100755
index 0000000..8cf2c1b
--- /dev/null
+++ b/bin/d1a
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eux
+flatpak --user remote-add --if-not-exists --no-gpg-verify flathub-mirror http://192.168.122.1/pub/flatpak/flathub-mirror/
+flatpak --user install flathub-mirror net.minetest.Minetest
diff --git a/bin/d1b b/bin/d1b
new file mode 100755
index 0000000..9817bac
--- /dev/null
+++ b/bin/d1b
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eux
+flatpak run net.minetest.Minetest
diff --git a/bin/d1c b/bin/d1c
new file mode 100755
index 0000000..1dad53f
--- /dev/null
+++ b/bin/d1c
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eux
+flatpak run --command=/bin/bash net.minetest.Minetest
diff --git a/bin/d1r b/bin/d1r
new file mode 100755
index 0000000..593d400
--- /dev/null
+++ b/bin/d1r
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -eux
+flatpak --user uninstall net.minetest.Minetest || :
+flatpak --user uninstall org.freedesktop.Platform/x86_64/1.6 || :
+flatpak --user remote-delete flathub-mirror || :
diff --git a/bin/d2a b/bin/d2a
new file mode 100755
index 0000000..fe3ff33
--- /dev/null
+++ b/bin/d2a
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eux
+flatpak --user remote-add --if-not-exists --no-gpg-verify flathub-mirror http://192.168.122.1/pub/flatpak/flathub-mirror/
+flatpak --user install flathub-mirror org.gnome.Recipes
diff --git a/bin/d2b b/bin/d2b
new file mode 100755
index 0000000..964ae75
--- /dev/null
+++ b/bin/d2b
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eux
+flatpak run --command=/bin/bash org.gnome.Recipes
diff --git a/bin/d2r b/bin/d2r
new file mode 100755
index 0000000..a1e3506
--- /dev/null
+++ b/bin/d2r
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -eux
+flatpak --user uninstall org.gnome.Recipes || :
+flatpak --user uninstall org.freedesktop.Platform/x86_64/1.6 || :
+flatpak --user remote-delete flathub-mirror || :
diff --git a/bin/d3a b/bin/d3a
new file mode 100755
index 0000000..e5a69c4
--- /dev/null
+++ b/bin/d3a
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eux
+flatpak --user remote-add --if-not-exists --no-gpg-verify flatdeb http://192.168.122.1/pub/flatpak/flatdeb/
+flatpak --user install flatdeb org.debian.packages.openarena
diff --git a/bin/d3b b/bin/d3b
new file mode 100755
index 0000000..b2e4e7f
--- /dev/null
+++ b/bin/d3b
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eux
+flatpak run org.debian.packages.openarena
diff --git a/bin/d3c b/bin/d3c
new file mode 100755
index 0000000..a15c0fb
--- /dev/null
+++ b/bin/d3c
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eux
+flatpak run --command=/bin/bash org.debian.packages.openarena
diff --git a/bin/d3r b/bin/d3r
new file mode 100755
index 0000000..20ad77c
--- /dev/null
+++ b/bin/d3r
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -eux
+flatpak --user uninstall org.debian.packages.openarena || :
+flatpak --user uninstall net.debian.flatpak.Games.Platform || :
+flatpak --user remote-delete flatdeb || :
diff --git a/bin/demo-reset b/bin/demo-reset
new file mode 100755
index 0000000..42a4f1b
--- /dev/null
+++ b/bin/demo-reset
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eux
+flatpak --user uninstall net.minetest.Minetest || :
+flatpak --user uninstall org.debian.packages.openarena || :
+flatpak --user uninstall org.gnome.Recipes || :
+flatpak --user uninstall net.debian.flatpak.Games.Platform || :
+flatpak --user uninstall org.freedesktop.Platform/x86_64/1.6 || :
+flatpak --user remote-delete flathub-mirror || :
+flatpak --user remote-delete flatdeb || :